package com.sifang.modules.sunshine.SystemSetting.utils;

public class BusinessException extends RuntimeException {

    private String errorCode;

    public BusinessException(){
        super();
    }

    public BusinessException(String message){
        super(message);
        setErrorCode("501");
    }

    public BusinessException(String code, String message){
        super(message);
        setErrorCode(code);
    }

    public String getErrorCode() {
        return errorCode;
    }

    public void setErrorCode(String errorCode) {
        this.errorCode = errorCode;
    }
}
